| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Structure Index
- Data Fields

- All
- Variables

- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - i -

- I2C_CLKHI : IP_USB_001_T
- I2C_CLKLO : IP_USB_001_T
- I2C_CTL : IP_USB_001_T
- i2c_get_firmware_version : I2CD_API_T
- i2c_get_mem_size : I2CD_API_T
- i2c_get_status : I2CD_API_T
- i2c_isr_handler : I2CD_API_T
- i2c_master_receive_intr : I2CD_API_T
- i2c_master_receive_poll : I2CD_API_T
- i2c_master_transmit_intr : I2CD_API_T
- i2c_master_transmit_poll : I2CD_API_T
- i2c_master_tx_rx_intr : I2CD_API_T
- i2c_master_tx_rx_poll : I2CD_API_T
- I2C_RX : IP_USB_001_T
- i2c_set_bitrate : I2CD_API_T
- i2c_set_slave_addr : I2CD_API_T
- i2c_set_timeout : I2CD_API_T
- i2c_setup : I2CD_API_T
- i2c_slave_receive_intr : I2CD_API_T
- i2c_slave_receive_poll : I2CD_API_T
- i2c_slave_transmit_intr : I2CD_API_T
- i2c_slave_transmit_poll : I2CD_API_T
- I2C_STS : IP_USB_001_T
- I2C_TX : IP_USB_001_T
- IBE : IP_GPIO_003_T
- IC : IP_GPIO_003_T
- ICR : IP_CAN_001_T , IP_SSP_001_T , IP_USART_001_T
- id : ipcex_msg_t , FATFS , FIL , DIR
- ID : IP_CAN_MSG_T
- id : message_object , FLASH_READ_UID_OUTPUT_T
- ID_11 : IP_CAN_STD_ID_Entry_T
- ID_29 : IP_CAN_EXT_ID_Entry_T
- IDINTEN : IP_SDMMC_001_T
- IDIV_CTRL : LPC_CGU_T
- IDLE_CH : LPC_MRT_T
- idle_time : USB_HID_REPORT_T
- IdleCount : USB_ClassInfo_HID_Device_t
- IdleMSRemaining : USB_ClassInfo_HID_Device_t
- IDSTS : IP_SDMMC_001_T
- Idx : Pipe_Handle_T
- IE : IP_GPIO_003_T , IP_QEI_001_T
- IEC : IP_QEI_001_T
- IENF : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- IENR : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- IER : IP_CAN_001_T , IP_USART_001_T
- IES : IP_QEI_001_T
- IEV : IP_GPIO_003_T
- IF : IP_CCAN_001_T
- IF_ARB1 : IP_CCAN_001_IF_T
- IF_ARB2 : IP_CCAN_001_IF_T
- IF_CMDMSK_R : IP_CCAN_001_IF_T
- IF_CMDMSK_W : IP_CCAN_001_IF_T
- IF_CMDREQ : IP_CCAN_001_IF_T
- IF_DA1 : IP_CCAN_001_IF_T
- IF_DA2 : IP_CCAN_001_IF_T
- IF_DB1 : IP_CCAN_001_IF_T
- IF_DB2 : IP_CCAN_001_IF_T
- IF_MCTRL : IP_CCAN_001_IF_T
- IF_MSK1 : IP_CCAN_001_IF_T
- IF_MSK2 : IP_CCAN_001_IF_T
- IhdIdx : st_EHCD_ITD , st_EHCD_SITD
- IHS : LCD_Config_T
- IIR : IP_USART_001_T
- Il : LCD_PALETTE_ENTRY_T
- ILR : IP_RTC_001_T
- IMSC : IP_SSP_001_T
- InActiveOnNextTransaction : st_EHCD_QHD
- index : CCAN_ODCONSTENTRY_T , CCAN_ODENTRY_T , fs_file , DIR
- Index : SDMMC_EVENT_T
- INFO : LPC_USB_T
- init : USBD_CDC_API_T , USBD_DFU_API_T , USBD_HID_API_T , USBD_MSC_API_T
- Init : USBD_HW_API_T
- init_can : CCAN_API_T
- InPtr : OS_MSG_Q
- INPUT : IP_SCT_001_T
- InquiryStr : USBD_MSC_INIT_PARAM_T
- INT : IP_CCAN_001_T , IP_SPI_001_T
- INTCLEAR : IP_ENET_002_MODULE_CTRL_T
- IntClr : IP_USB_001_T
- INTCLR : IP_LCD_001_T
- IntEn : IP_USB_001_T
- INTEN : LPC_USB_T , IP_ADC_001_T , IP_EEPROM_001_T , IP_EEPROM_002_T , IP_MCPWM_001_T
- INTEN_CLR : IP_MCPWM_001_T
- INTEN_SET : IP_MCPWM_001_T
- INTENABLE : IP_ENET_002_MODULE_CTRL_T
- INTENCLR : IP_EEPROM_001_T , IP_EEPROM_002_T , IP_SPI_002_T , IP_USART_002_T
- INTENSET : IP_EEPROM_001_T , IP_EEPROM_002_T , IP_SPI_002_T , IP_USART_002_T
- InterfaceEnabled : USB_ClassInfo_Audio_Device_t
- InterfaceNumber : USB_ClassInfo_SI_Host_t , USB_ClassInfo_HID_Host_t , USB_ClassInfo_HID_Device_t , USB_ClassInfo_MS_Device_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_PRNT_Host_t
- InternalChipNum : K9F1G_ID_T
- InterProgSupport : K9F1G_ID_T
- INTERRCLR : IP_GPDMA_001_T
- INTERRSTAT : IP_GPDMA_001_T
- InterruptDisable : IP_USB_001_T
- InterruptEnable : IP_USB_001_T
- InterruptStatus : IP_USB_001_T
- Interval : st_EHCD_QHD , PHCD_EndpointDescriptor
- INTF : IP_MCPWM_001_T
- INTF_CLR : IP_MCPWM_001_T
- intf_desc : USBD_DFU_INIT_PARAM_T , USBD_HID_INIT_PARAM_T , USBD_MSC_INIT_PARAM_T
- INTF_SET : IP_MCPWM_001_T
- IntHeadQhd : EHCI_HOST_DATA_T
- INTMASK : IP_SDMMC_001_T
- INTMSK : IP_LCD_001_T
- IntOnComplete : st_EHCD_ITD , PHCD_QTD , st_EHCD_SITD
- INTRAW : IP_LCD_001_T
- INTROUTING : LPC_USB_T
- INTSET : IP_ENET_002_MODULE_CTRL_T
- IntSet : IP_USB_001_T
- INTSETSTAT : LPC_USB_T
- IntSt : IP_USB_001_T
- INTSTAT : IP_SPI_002_T , IP_EEPROM_002_T , LPC_USB_T , IP_GPDMA_001_T , IP_EEPROM_001_T , IP_QEI_001_T , IP_LCD_001_T , IP_USART_002_T
- INTSTATCLR : IP_EEPROM_002_T , IP_EEPROM_001_T
- INTSTATSET : IP_EEPROM_001_T , IP_EEPROM_002_T
- INTSTATUS : IP_ENET_002_MODULE_CTRL_T
- INTTCCLEAR : IP_GPDMA_001_T
- INTTCSTAT : IP_GPDMA_001_T
- INTVAL : IP_MRT_001_T
- inUse : st_EHCD_QHD , st_EHCD_SITD , PHCD_GeneralTransferDescriptor , PHCD_QTD , st_HCD_IsoTransferDescriptor , PHCD_EndpointDescriptor , st_EHCD_ITD
- INXCMP0 : IP_QEI_001_T
- INXCMP1 : IP_QEI_001_T
- INXCMP2 : IP_QEI_001_T
- INXCNT : IP_QEI_001_T
- IOCONCLKDIV : LPC_SYSCTL_T
- IOE : LCD_Config_T
- ip : i2c_interface
- IPC : LCD_Config_T
- IPGR : IP_ENET_002_MAC_T
- IPGT : IP_ENET_002_MAC_T
- IR : IP_TIMER_001_T
- IR1 : IP_CCAN_001_T
- IR2 : IP_CCAN_001_T
- IRCCTRL : LPC_SYSCTL_T
- IRQ : IP_I2S_001_T
- IRQ_FLAG : LPC_MRT_T
- IRQLATENCY : LPC_SYSCTL_T
- IS : IP_GPIO_003_T
- is_val : MEM_TEST_SETUP_T
- IsActive : USB_ClassInfo_Audio_Host_t , USB_ClassInfo_MS_Host_t , USB_ClassInfo_RNDIS_Host_t , USB_ClassInfo_PRNT_Host_t , USB_ClassInfo_CDC_Host_t , USB_ClassInfo_SI_Host_t , USB_ClassInfo_MIDI_Host_t , USB_ClassInfo_HID_Host_t
- ISEL : LPC_PIN_INT_T , IP_GPIOPININT_001_T
- isFree : PMemBlockInfo
- IsMassStoreReset : USB_ClassInfo_MS_Device_t
- IsoBufferAddr : DMADescriptor
- Isochronous : DMADescriptor
- IsoPacketValid : DMADescriptor
- isr : CCAN_API_T
- ISR : USBD_HW_API_T
- isr_handled : CCAN_CANOPENCFG_T
- IsSessionOpen : USB_ClassInfo_SI_Host_t
- IST : IP_GPIOPININT_001_T , LPC_PIN_INT_T
- iTDs : EHCI_HOST_DATA_T
- ItemFlags : HID_ReportItem_t
- itemSz : RINGBUFF_T
- ItemType : HID_ReportItem_t
- Iu : LCD_PALETTE_ENTRY_T
- IVS : LCD_Config_T